Home | History | Annotate | Download | only in elfutils
      1 #! /bin/sh
      2 # Generated by configure.
      3 # Run this file to recreate the current configuration.
      4 # Compiler output produced by configure, useful for debugging
      5 # configure, is in config.log if it exists.
      6 
      7 debug=false
      8 ac_cs_recheck=false
      9 ac_cs_silent=false
     10 SHELL=${CONFIG_SHELL-/bin/sh}
     11 ## --------------------- ##
     12 ## M4sh Initialization.  ##
     13 ## --------------------- ##
     14 
     15 # Be Bourne compatible
     16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
     17   emulate sh
     18   NULLCMD=:
     19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
     20   # is contrary to our usage.  Disable this feature.
     21   alias -g '${1+"$@"}'='"$@"'
     22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
     23   set -o posix
     24 fi
     25 DUALCASE=1; export DUALCASE # for MKS sh
     26 
     27 # Support unset when possible.
     28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
     29   as_unset=unset
     30 else
     31   as_unset=false
     32 fi
     33 
     34 
     35 # Work around bugs in pre-3.0 UWIN ksh.
     36 $as_unset ENV MAIL MAILPATH
     37 PS1='$ '
     38 PS2='> '
     39 PS4='+ '
     40 
     41 # NLS nuisances.
     42 for as_var in \
     43   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
     44   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
     45   LC_TELEPHONE LC_TIME
     46 do
     47   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
     48     eval $as_var=C; export $as_var
     49   else
     50     $as_unset $as_var
     51   fi
     52 done
     53 
     54 # Required to use basename.
     55 if expr a : '\(a\)' >/dev/null 2>&1; then
     56   as_expr=expr
     57 else
     58   as_expr=false
     59 fi
     60 
     61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
     62   as_basename=basename
     63 else
     64   as_basename=false
     65 fi
     66 
     67 
     68 # Name of the executable.
     69 as_me=`$as_basename "$0" ||
     70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
     71 	 X"$0" : 'X\(//\)$' \| \
     72 	 X"$0" : 'X\(/\)$' \| \
     73 	 .     : '\(.\)' 2>/dev/null ||
     74 echo X/"$0" |
     75     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
     76   	  /^X\/\(\/\/\)$/{ s//\1/; q; }
     77   	  /^X\/\(\/\).*/{ s//\1/; q; }
     78   	  s/.*/./; q'`
     79 
     80 
     81 # PATH needs CR, and LINENO needs CR and PATH.
     82 # Avoid depending upon Character Ranges.
     83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
     84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
     85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
     86 as_cr_digits='0123456789'
     87 as_cr_alnum=$as_cr_Letters$as_cr_digits
     88 
     89 # The user is always right.
     90 if test "${PATH_SEPARATOR+set}" != set; then
     91   echo "#! /bin/sh" >conf$$.sh
     92   echo  "exit 0"   >>conf$$.sh
     93   chmod +x conf$$.sh
     94   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
     95     PATH_SEPARATOR=';'
     96   else
     97     PATH_SEPARATOR=:
     98   fi
     99   rm -f conf$$.sh
    100 fi
    101 
    102 
    103   as_lineno_1=$LINENO
    104   as_lineno_2=$LINENO
    105   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
    106   test "x$as_lineno_1" != "x$as_lineno_2" &&
    107   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
    108   # Find who we are.  Look in the path if we contain no path at all
    109   # relative or not.
    110   case $0 in
    111     *[\\/]* ) as_myself=$0 ;;
    112     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    113 for as_dir in $PATH
    114 do
    115   IFS=$as_save_IFS
    116   test -z "$as_dir" && as_dir=.
    117   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
    118 done
    119 
    120        ;;
    121   esac
    122   # We did not find ourselves, most probably we were run as `sh COMMAND'
    123   # in which case we are not to be found in the path.
    124   if test "x$as_myself" = x; then
    125     as_myself=$0
    126   fi
    127   if test ! -f "$as_myself"; then
    128     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
    129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
    130    { (exit 1); exit 1; }; }
    131   fi
    132   case $CONFIG_SHELL in
    133   '')
    134     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
    136 do
    137   IFS=$as_save_IFS
    138   test -z "$as_dir" && as_dir=.
    139   for as_base in sh bash ksh sh5; do
    140 	 case $as_dir in
    141 	 /*)
    142 	   if ("$as_dir/$as_base" -c '
    143   as_lineno_1=$LINENO
    144   as_lineno_2=$LINENO
    145   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
    146   test "x$as_lineno_1" != "x$as_lineno_2" &&
    147   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
    148 	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
    149 	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
    150 	     CONFIG_SHELL=$as_dir/$as_base
    151 	     export CONFIG_SHELL
    152 	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
    153 	   fi;;
    154 	 esac
    155        done
    156 done
    157 ;;
    158   esac
    159 
    160   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
    161   # uniformly replaced by the line number.  The first 'sed' inserts a
    162   # line-number line before each line; the second 'sed' does the real
    163   # work.  The second script uses 'N' to pair each line-number line
    164   # with the numbered line, and appends trailing '-' during
    165   # substitution so that $LINENO is not a special case at line end.
    166   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
    167   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
    168   sed '=' <$as_myself |
    169     sed '
    170       N
    171       s,$,-,
    172       : loop
    173       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
    174       t loop
    175       s,-$,,
    176       s,^['$as_cr_digits']*\n,,
    177     ' >$as_me.lineno &&
    178   chmod +x $as_me.lineno ||
    179     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
    180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
    181    { (exit 1); exit 1; }; }
    182 
    183   # Don't try to exec as it changes $[0], causing all sort of problems
    184   # (the dirname of $[0] is not the place where we might find the
    185   # original and so on.  Autoconf is especially sensible to this).
    186   . ./$as_me.lineno
    187   # Exit status is that of the last command.
    188   exit
    189 }
    190 
    191 
    192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
    193   *c*,-n*) ECHO_N= ECHO_C='
    194 ' ECHO_T='	' ;;
    195   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
    196   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
    197 esac
    198 
    199 if expr a : '\(a\)' >/dev/null 2>&1; then
    200   as_expr=expr
    201 else
    202   as_expr=false
    203 fi
    204 
    205 rm -f conf$$ conf$$.exe conf$$.file
    206 echo >conf$$.file
    207 if ln -s conf$$.file conf$$ 2>/dev/null; then
    208   # We could just check for DJGPP; but this test a) works b) is more generic
    209   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
    210   if test -f conf$$.exe; then
    211     # Don't use ln at all; we don't have any links
    212     as_ln_s='cp -p'
    213   else
    214     as_ln_s='ln -s'
    215   fi
    216 elif ln conf$$.file conf$$ 2>/dev/null; then
    217   as_ln_s=ln
    218 else
    219   as_ln_s='cp -p'
    220 fi
    221 rm -f conf$$ conf$$.exe conf$$.file
    222 
    223 if mkdir -p . 2>/dev/null; then
    224   as_mkdir_p=:
    225 else
    226   test -d ./-p && rmdir ./-p
    227   as_mkdir_p=false
    228 fi
    229 
    230 as_executable_p="test -f"
    231 
    232 # Sed expression to map a string onto a valid CPP name.
    233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
    234 
    235 # Sed expression to map a string onto a valid variable name.
    236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
    237 
    238 
    239 # IFS
    240 # We need space, tab and new line, in precisely that order.
    241 as_nl='
    242 '
    243 IFS=" 	$as_nl"
    244 
    245 # CDPATH.
    246 $as_unset CDPATH
    247 
    248 exec 6>&1
    249 
    250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
    251 # report actual input values of CONFIG_FILES etc. instead of their
    252 # values after options handling.  Logging --version etc. is OK.
    253 exec 5>>config.log
    254 {
    255   echo
    256   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
    257 ## Running $as_me. ##
    258 _ASBOX
    259 } >&5
    260 cat >&5 <<_CSEOF
    261 
    262 This file was extended by Red Hat elfutils $as_me 0.97, which was
    263 generated by GNU Autoconf 2.59.  Invocation command line was
    264 
    265   CONFIG_FILES    = $CONFIG_FILES
    266   CONFIG_HEADERS  = $CONFIG_HEADERS
    267   CONFIG_LINKS    = $CONFIG_LINKS
    268   CONFIG_COMMANDS = $CONFIG_COMMANDS
    269   $ $0 $@
    270 
    271 _CSEOF
    272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
    273 echo >&5
    274 config_files=" config/Makefile Makefile m4/Makefile elfutils.spec:config/elfutils.spec.in doc/Makefile lib/Makefile libelf/Makefile libelf-po/Makefile.in libebl/Makefile libdw/Makefile libcpu/Makefile libasm/Makefile src/Makefile po/Makefile.in tests/Makefile"
    275 config_headers=" config.h"
    276 config_commands=" depfiles default-1"
    277 
    278 ac_cs_usage="\
    279 \`$as_me' instantiates files from templates according to the
    280 current configuration.
    281 
    282 Usage: $0 [OPTIONS] [FILE]...
    283 
    284   -h, --help       print this help, then exit
    285   -V, --version    print version number, then exit
    286   -q, --quiet      do not print progress messages
    287   -d, --debug      don't remove temporary files
    288       --recheck    update $as_me by reconfiguring in the same conditions
    289   --file=FILE[:TEMPLATE]
    290 		   instantiate the configuration file FILE
    291   --header=FILE[:TEMPLATE]
    292 		   instantiate the configuration header FILE
    293 
    294 Configuration files:
    295 $config_files
    296 
    297 Configuration headers:
    298 $config_headers
    299 
    300 Configuration commands:
    301 $config_commands
    302 
    303 Report bugs to <bug-autoconf@gnu.org>."
    304 ac_cs_version="\
    305 Red Hat elfutils config.status 0.97
    306 configured by ./configure, generated by GNU Autoconf 2.59,
    307   with options \"'--prefix' '/work/elfutils/google/linux-install-elfutils-0.97/'\"
    308 
    309 Copyright (C) 2003 Free Software Foundation, Inc.
    310 This config.status script is free software; the Free Software Foundation
    311 gives unlimited permission to copy, distribute and modify it."
    312 srcdir=.
    313 INSTALL="/usr/bin/install -c"
    314 # If no file are specified by the user, then we need to provide default
    315 # value.  By we need to know if files were specified by the user.
    316 ac_need_defaults=:
    317 while test $# != 0
    318 do
    319   case $1 in
    320   --*=*)
    321     ac_option=`expr "x$1" : 'x\([^=]*\)='`
    322     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
    323     ac_shift=:
    324     ;;
    325   -*)
    326     ac_option=$1
    327     ac_optarg=$2
    328     ac_shift=shift
    329     ;;
    330   *) # This is not an option, so the user has probably given explicit
    331      # arguments.
    332      ac_option=$1
    333      ac_need_defaults=false;;
    334   esac
    335 
    336   case $ac_option in
    337   # Handling of the options.
    338   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    339     ac_cs_recheck=: ;;
    340   --version | --vers* | -V )
    341     echo "$ac_cs_version"; exit 0 ;;
    342   --he | --h)
    343     # Conflict between --help and --header
    344     { { echo "$as_me:$LINENO: error: ambiguous option: $1
    345 Try \`$0 --help' for more information." >&5
    346 echo "$as_me: error: ambiguous option: $1
    347 Try \`$0 --help' for more information." >&2;}
    348    { (exit 1); exit 1; }; };;
    349   --help | --hel | -h )
    350     echo "$ac_cs_usage"; exit 0 ;;
    351   --debug | --d* | -d )
    352     debug=: ;;
    353   --file | --fil | --fi | --f )
    354     $ac_shift
    355     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
    356     ac_need_defaults=false;;
    357   --header | --heade | --head | --hea )
    358     $ac_shift
    359     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
    360     ac_need_defaults=false;;
    361   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
    362   | -silent | --silent | --silen | --sile | --sil | --si | --s)
    363     ac_cs_silent=: ;;
    364 
    365   # This is an error.
    366   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
    367 Try \`$0 --help' for more information." >&5
    368 echo "$as_me: error: unrecognized option: $1
    369 Try \`$0 --help' for more information." >&2;}
    370    { (exit 1); exit 1; }; } ;;
    371 
    372   *) ac_config_targets="$ac_config_targets $1" ;;
    373 
    374   esac
    375   shift
    376 done
    377 
    378 ac_configure_extra_args=
    379 
    380 if $ac_cs_silent; then
    381   exec 6>/dev/null
    382   ac_configure_extra_args="$ac_configure_extra_args --silent"
    383 fi
    384 
    385 if $ac_cs_recheck; then
    386   echo "running /bin/sh ./configure " '--prefix' '/work/elfutils/google/linux-install-elfutils-0.97/' $ac_configure_extra_args " --no-create --no-recursion" >&6
    387   exec /bin/sh ./configure '--prefix' '/work/elfutils/google/linux-install-elfutils-0.97/' $ac_configure_extra_args --no-create --no-recursion
    388 fi
    389 
    390 #
    391 # INIT-COMMANDS section.
    392 #
    393 
    394 AMDEP_TRUE="" ac_aux_dir="config"
    395 # Capture the value of obsolete  because we need it to compute
    396     # POFILES, GMOFILES, UPDATEPOFILES, DUMMYPOFILES, CATALOGS. But hide it
    397     # from automake.
    398     eval 'ALL_LINGUAS''=""'
    399     # Capture the value of LINGUAS because we need it to compute CATALOGS.
    400     LINGUAS="%UNSET%"
    401 
    402 
    403 for ac_config_target in $ac_config_targets
    404 do
    405   case "$ac_config_target" in
    406   # Handling of arguments.
    407   "config/Makefile" ) CONFIG_FILES="$CONFIG_FILES config/Makefile" ;;
    408   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    409   "m4/Makefile" ) CONFIG_FILES="$CONFIG_FILES m4/Makefile" ;;
    410   "elfutils.spec" ) CONFIG_FILES="$CONFIG_FILES elfutils.spec:config/elfutils.spec.in" ;;
    411   "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
    412   "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
    413   "libelf/Makefile" ) CONFIG_FILES="$CONFIG_FILES libelf/Makefile" ;;
    414   "libelf-po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES libelf-po/Makefile.in" ;;
    415   "libebl/Makefile" ) CONFIG_FILES="$CONFIG_FILES libebl/Makefile" ;;
    416   "libdw/Makefile" ) CONFIG_FILES="$CONFIG_FILES libdw/Makefile" ;;
    417   "libcpu/Makefile" ) CONFIG_FILES="$CONFIG_FILES libcpu/Makefile" ;;
    418   "libasm/Makefile" ) CONFIG_FILES="$CONFIG_FILES libasm/Makefile" ;;
    419   "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
    420   "po/Makefile.in" ) CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
    421   "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
    422   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
    423   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
    424   "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
    425   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
    426 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    427    { (exit 1); exit 1; }; };;
    428   esac
    429 done
    430 
    431 # If the user did not use the arguments to specify the items to instantiate,
    432 # then the envvar interface is used.  Set only those that are not.
    433 # We use the long form for the default assignment because of an extremely
    434 # bizarre bug on SunOS 4.1.3.
    435 if $ac_need_defaults; then
    436   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
    437   test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
    438   test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
    439 fi
    440 
    441 # Have a temporary directory for convenience.  Make it in the build tree
    442 # simply because there is no reason to put it here, and in addition,
    443 # creating and moving files from /tmp can sometimes cause problems.
    444 # Create a temporary directory, and hook for its removal unless debugging.
    445 $debug ||
    446 {
    447   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
    448   trap '{ (exit 1); exit 1; }' 1 2 13 15
    449 }
    450 
    451 # Create a (secure) tmp directory for tmp files.
    452 
    453 {
    454   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
    455   test -n "$tmp" && test -d "$tmp"
    456 }  ||
    457 {
    458   tmp=./confstat$$-$RANDOM
    459   (umask 077 && mkdir $tmp)
    460 } ||
    461 {
    462    echo "$me: cannot create a temporary directory in ." >&2
    463    { (exit 1); exit 1; }
    464 }
    465 
    466 
    467 #
    468 # CONFIG_FILES section.
    469 #
    470 
    471 # No need to generate the scripts if there are no CONFIG_FILES.
    472 # This happens for instance when ./config.status config.h
    473 if test -n "$CONFIG_FILES"; then
    474   # Protect against being on the right side of a sed subst in config.status.
    475   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
    476    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
    477 s,@SHELL@,/bin/sh,;t t
    478 s,@PATH_SEPARATOR@,:,;t t
    479 s,@PACKAGE_NAME@,Red Hat elfutils,;t t
    480 s,@PACKAGE_TARNAME@,elfutils,;t t
    481 s,@PACKAGE_VERSION@,0.97,;t t
    482 s,@PACKAGE_STRING@,Red Hat elfutils 0.97,;t t
    483 s,@PACKAGE_BUGREPORT@,http://bugzilla.redhat.com/bugzilla/,;t t
    484 s,@exec_prefix@,${prefix},;t t
    485 s,@prefix@,/work/elfutils/google/linux-install-elfutils-0.97/,;t t
    486 s,@program_transform_name@,s,x,x,,;t t
    487 s,@bindir@,${exec_prefix}/bin,;t t
    488 s,@sbindir@,${exec_prefix}/sbin,;t t
    489 s,@libexecdir@,${exec_prefix}/libexec,;t t
    490 s,@datadir@,${prefix}/share,;t t
    491 s,@sysconfdir@,${prefix}/etc,;t t
    492 s,@sharedstatedir@,${prefix}/com,;t t
    493 s,@localstatedir@,${prefix}/var,;t t
    494 s,@libdir@,${exec_prefix}/lib,;t t
    495 s,@includedir@,${prefix}/include,;t t
    496 s,@oldincludedir@,/usr/include,;t t
    497 s,@infodir@,${prefix}/info,;t t
    498 s,@mandir@,${prefix}/man,;t t
    499 s,@build_alias@,,;t t
    500 s,@host_alias@,,;t t
    501 s,@target_alias@,,;t t
    502 s,@DEFS@,-DHAVE_CONFIG_H,;t t
    503 s,@ECHO_C@,,;t t
    504 s,@ECHO_N@,-n,;t t
    505 s,@ECHO_T@,,;t t
    506 s,@LIBS@,,;t t
    507 s,@INSTALL_PROGRAM@,${INSTALL},;t t
    508 s,@INSTALL_SCRIPT@,${INSTALL},;t t
    509 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
    510 s,@CYGPATH_W@,echo,;t t
    511 s,@PACKAGE@,elfutils,;t t
    512 s,@VERSION@,0.97,;t t
    513 s,@ACLOCAL@,${SHELL} /work/elfutils/stock/elfutils-0.97/config/missing --run aclocal-1.9,;t t
    514 s,@AUTOCONF@,${SHELL} /work/elfutils/stock/elfutils-0.97/config/missing --run autoconf,;t t
    515 s,@AUTOMAKE@,${SHELL} /work/elfutils/stock/elfutils-0.97/config/missing --run automake-1.9,;t t
    516 s,@AUTOHEADER@,${SHELL} /work/elfutils/stock/elfutils-0.97/config/missing --run autoheader,;t t
    517 s,@MAKEINFO@,${SHELL} /work/elfutils/stock/elfutils-0.97/config/missing --run makeinfo,;t t
    518 s,@install_sh@,/work/elfutils/stock/elfutils-0.97/config/install-sh,;t t
    519 s,@STRIP@,,;t t
    520 s,@ac_ct_STRIP@,,;t t
    521 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
    522 s,@mkdir_p@,mkdir -p --,;t t
    523 s,@AWK@,gawk,;t t
    524 s,@SET_MAKE@,,;t t
    525 s,@am__leading_dot@,.,;t t
    526 s,@AMTAR@,${SHELL} /work/elfutils/stock/elfutils-0.97/config/missing --run tar,;t t
    527 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
    528 s,@am__untar@,${AMTAR} xf -,;t t
    529 s,@build@,i686-pc-linux-gnu,;t t
    530 s,@build_cpu@,i686,;t t
    531 s,@build_vendor@,pc,;t t
    532 s,@build_os@,linux-gnu,;t t
    533 s,@host@,i686-pc-linux-gnu,;t t
    534 s,@host_cpu@,i686,;t t
    535 s,@host_vendor@,pc,;t t
    536 s,@host_os@,linux-gnu,;t t
    537 s,@CC@,gcc,;t t
    538 s,@CFLAGS@,-g -O2,;t t
    539 s,@LDFLAGS@,,;t t
    540 s,@CPPFLAGS@,,;t t
    541 s,@ac_ct_CC@,gcc,;t t
    542 s,@EXEEXT@,,;t t
    543 s,@OBJEXT@,o,;t t
    544 s,@DEPDIR@,.deps,;t t
    545 s,@am__include@,include,;t t
    546 s,@am__quote@,,;t t
    547 s,@AMDEP_TRUE@,,;t t
    548 s,@AMDEP_FALSE@,#,;t t
    549 s,@AMDEPBACKSLASH@,\,;t t
    550 s,@CCDEPMODE@,depmode=gcc3,;t t
    551 s,@am__fastdepCC_TRUE@,,;t t
    552 s,@am__fastdepCC_FALSE@,#,;t t
    553 s,@CPP@,gcc -E,;t t
    554 s,@EGREP@,grep -E,;t t
    555 s,@MKINSTALLDIRS@,config/mkinstalldirs,;t t
    556 s,@MSGFMT@,/usr/bin/msgfmt,;t t
    557 s,@GMSGFMT@,/usr/bin/msgfmt,;t t
    558 s,@XGETTEXT@,/usr/bin/xgettext,;t t
    559 s,@MSGMERGE@,/usr/bin/msgmerge,;t t
    560 s,@USE_NLS@,yes,;t t
    561 s,@LIBICONV@,-liconv,;t t
    562 s,@LTLIBICONV@,-liconv,;t t
    563 s,@INTLLIBS@,,;t t
    564 s,@LIBINTL@,,;t t
    565 s,@LTLIBINTL@,,;t t
    566 s,@POSUB@,po,;t t
    567 s,@RANLIB@,ranlib,;t t
    568 s,@ac_ct_RANLIB@,ranlib,;t t
    569 s,@YACC@,bison -y,;t t
    570 s,@LEX@,flex,;t t
    571 s,@LEXLIB@,-lfl,;t t
    572 s,@LEX_OUTPUT_ROOT@,lex.yy,;t t
    573 s,@LOCALEDIR@,${prefix}/share,;t t
    574 s,@DATADIRNAME@,${prefix}/share,;t t
    575 s,@NATIVE_LD_TRUE@,#,;t t
    576 s,@NATIVE_LD_FALSE@,,;t t
    577 s,@base_cpu@,none,;t t
    578 s,@MUDFLAP_TRUE@,#,;t t
    579 s,@MUDFLAP_FALSE@,,;t t
    580 s,@LIBOBJS@,,;t t
    581 s,@LTLIBOBJS@,,;t t
    582 CEOF
    583 
    584   # Split the substitutions into bite-sized pieces for seds with
    585   # small command number limits, like on Digital OSF/1 and HP-UX.
    586   ac_max_sed_lines=48
    587   ac_sed_frag=1 # Number of current file.
    588   ac_beg=1 # First line for current file.
    589   ac_end=$ac_max_sed_lines # Line after last line for current file.
    590   ac_more_lines=:
    591   ac_sed_cmds=
    592   while $ac_more_lines; do
    593     if test $ac_beg -gt 1; then
    594       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    595     else
    596       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    597     fi
    598     if test ! -s $tmp/subs.frag; then
    599       ac_more_lines=false
    600     else
    601       # The purpose of the label and of the branching condition is to
    602       # speed up the sed processing (if there are no `@' at all, there
    603       # is no need to browse any of the substitutions).
    604       # These are the two extra sed commands mentioned above.
    605       (echo ':t
    606   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
    607       if test -z "$ac_sed_cmds"; then
    608 	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
    609       else
    610 	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
    611       fi
    612       ac_sed_frag=`expr $ac_sed_frag + 1`
    613       ac_beg=$ac_end
    614       ac_end=`expr $ac_end + $ac_max_sed_lines`
    615     fi
    616   done
    617   if test -z "$ac_sed_cmds"; then
    618     ac_sed_cmds=cat
    619   fi
    620 fi # test -n "$CONFIG_FILES"
    621 
    622 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
    623   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
    624   case $ac_file in
    625   - | *:- | *:-:* ) # input from stdin
    626 	cat >$tmp/stdin
    627 	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
    628 	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
    629   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
    630 	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
    631   * )   ac_file_in=$ac_file.in ;;
    632   esac
    633 
    634   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
    635   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
    636 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    637 	 X"$ac_file" : 'X\(//\)[^/]' \| \
    638 	 X"$ac_file" : 'X\(//\)$' \| \
    639 	 X"$ac_file" : 'X\(/\)' \| \
    640 	 .     : '\(.\)' 2>/dev/null ||
    641 echo X"$ac_file" |
    642     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    643   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    644   	  /^X\(\/\/\)$/{ s//\1/; q; }
    645   	  /^X\(\/\).*/{ s//\1/; q; }
    646   	  s/.*/./; q'`
    647   { if $as_mkdir_p; then
    648     mkdir -p "$ac_dir"
    649   else
    650     as_dir="$ac_dir"
    651     as_dirs=
    652     while test ! -d "$as_dir"; do
    653       as_dirs="$as_dir $as_dirs"
    654       as_dir=`(dirname "$as_dir") 2>/dev/null ||
    655 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    656 	 X"$as_dir" : 'X\(//\)[^/]' \| \
    657 	 X"$as_dir" : 'X\(//\)$' \| \
    658 	 X"$as_dir" : 'X\(/\)' \| \
    659 	 .     : '\(.\)' 2>/dev/null ||
    660 echo X"$as_dir" |
    661     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    662   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    663   	  /^X\(\/\/\)$/{ s//\1/; q; }
    664   	  /^X\(\/\).*/{ s//\1/; q; }
    665   	  s/.*/./; q'`
    666     done
    667     test ! -n "$as_dirs" || mkdir $as_dirs
    668   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
    669 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
    670    { (exit 1); exit 1; }; }; }
    671 
    672   ac_builddir=.
    673 
    674 if test "$ac_dir" != .; then
    675   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
    676   # A "../" for each directory in $ac_dir_suffix.
    677   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
    678 else
    679   ac_dir_suffix= ac_top_builddir=
    680 fi
    681 
    682 case $srcdir in
    683   .)  # No --srcdir option.  We are building in place.
    684     ac_srcdir=.
    685     if test -z "$ac_top_builddir"; then
    686        ac_top_srcdir=.
    687     else
    688        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    689     fi ;;
    690   [\\/]* | ?:[\\/]* )  # Absolute path.
    691     ac_srcdir=$srcdir$ac_dir_suffix;
    692     ac_top_srcdir=$srcdir ;;
    693   *) # Relative path.
    694     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    695     ac_top_srcdir=$ac_top_builddir$srcdir ;;
    696 esac
    697 
    698 # Do not use `cd foo && pwd` to compute absolute paths, because
    699 # the directories may not exist.
    700 case `pwd` in
    701 .) ac_abs_builddir="$ac_dir";;
    702 *)
    703   case "$ac_dir" in
    704   .) ac_abs_builddir=`pwd`;;
    705   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
    706   *) ac_abs_builddir=`pwd`/"$ac_dir";;
    707   esac;;
    708 esac
    709 case $ac_abs_builddir in
    710 .) ac_abs_top_builddir=${ac_top_builddir}.;;
    711 *)
    712   case ${ac_top_builddir}. in
    713   .) ac_abs_top_builddir=$ac_abs_builddir;;
    714   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
    715   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
    716   esac;;
    717 esac
    718 case $ac_abs_builddir in
    719 .) ac_abs_srcdir=$ac_srcdir;;
    720 *)
    721   case $ac_srcdir in
    722   .) ac_abs_srcdir=$ac_abs_builddir;;
    723   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
    724   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
    725   esac;;
    726 esac
    727 case $ac_abs_builddir in
    728 .) ac_abs_top_srcdir=$ac_top_srcdir;;
    729 *)
    730   case $ac_top_srcdir in
    731   .) ac_abs_top_srcdir=$ac_abs_builddir;;
    732   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
    733   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
    734   esac;;
    735 esac
    736 
    737 
    738   case $INSTALL in
    739   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
    740   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
    741   esac
    742 
    743   # Let's still pretend it is `configure' which instantiates (i.e., don't
    744   # use $as_me), people would be surprised to read:
    745   #    /* config.h.  Generated by config.status.  */
    746   if test x"$ac_file" = x-; then
    747     configure_input=
    748   else
    749     configure_input="$ac_file.  "
    750   fi
    751   configure_input=$configure_input"Generated from `echo $ac_file_in |
    752 				     sed 's,.*/,,'` by configure."
    753 
    754   # First look for the input files in the build tree, otherwise in the
    755   # src tree.
    756   ac_file_inputs=`IFS=:
    757     for f in $ac_file_in; do
    758       case $f in
    759       -) echo $tmp/stdin ;;
    760       [\\/$]*)
    761 	 # Absolute (can't be DOS-style, as IFS=:)
    762 	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
    763 echo "$as_me: error: cannot find input file: $f" >&2;}
    764    { (exit 1); exit 1; }; }
    765 	 echo "$f";;
    766       *) # Relative
    767 	 if test -f "$f"; then
    768 	   # Build tree
    769 	   echo "$f"
    770 	 elif test -f "$srcdir/$f"; then
    771 	   # Source tree
    772 	   echo "$srcdir/$f"
    773 	 else
    774 	   # /dev/null tree
    775 	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
    776 echo "$as_me: error: cannot find input file: $f" >&2;}
    777    { (exit 1); exit 1; }; }
    778 	 fi;;
    779       esac
    780     done` || { (exit 1); exit 1; }
    781 
    782   if test x"$ac_file" != x-; then
    783     { echo "$as_me:$LINENO: creating $ac_file" >&5
    784 echo "$as_me: creating $ac_file" >&6;}
    785     rm -f "$ac_file"
    786   fi
    787   sed "/^[	 ]*VPATH[	 ]*=/{
    788 s/:*\$(srcdir):*/:/;
    789 s/:*\${srcdir}:*/:/;
    790 s/:*@srcdir@:*/:/;
    791 s/^\([^=]*=[	 ]*\):*/\1/;
    792 s/:*$//;
    793 s/^[^=]*=[	 ]*$//;
    794 }
    795 
    796 :t
    797 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
    798 s,@configure_input@,$configure_input,;t t
    799 s,@srcdir@,$ac_srcdir,;t t
    800 s,@abs_srcdir@,$ac_abs_srcdir,;t t
    801 s,@top_srcdir@,$ac_top_srcdir,;t t
    802 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
    803 s,@builddir@,$ac_builddir,;t t
    804 s,@abs_builddir@,$ac_abs_builddir,;t t
    805 s,@top_builddir@,$ac_top_builddir,;t t
    806 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
    807 s,@INSTALL@,$ac_INSTALL,;t t
    808 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
    809   rm -f $tmp/stdin
    810   if test x"$ac_file" != x-; then
    811     mv $tmp/out $ac_file
    812   else
    813     cat $tmp/out
    814     rm -f $tmp/out
    815   fi
    816 
    817 done
    818 
    819 #
    820 # CONFIG_HEADER section.
    821 #
    822 
    823 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
    824 # NAME is the cpp macro being defined and VALUE is the value it is being given.
    825 #
    826 # ac_d sets the value in "#define NAME VALUE" lines.
    827 ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
    828 ac_dB='[	 ].*$,\1#\2'
    829 ac_dC=' '
    830 ac_dD=',;t'
    831 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
    832 ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
    833 ac_uB='$,\1#\2define\3'
    834 ac_uC=' '
    835 ac_uD=',;t'
    836 
    837 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
    838   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
    839   case $ac_file in
    840   - | *:- | *:-:* ) # input from stdin
    841 	cat >$tmp/stdin
    842 	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
    843 	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
    844   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
    845 	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
    846   * )   ac_file_in=$ac_file.in ;;
    847   esac
    848 
    849   test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
    850 echo "$as_me: creating $ac_file" >&6;}
    851 
    852   # First look for the input files in the build tree, otherwise in the
    853   # src tree.
    854   ac_file_inputs=`IFS=:
    855     for f in $ac_file_in; do
    856       case $f in
    857       -) echo $tmp/stdin ;;
    858       [\\/$]*)
    859 	 # Absolute (can't be DOS-style, as IFS=:)
    860 	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
    861 echo "$as_me: error: cannot find input file: $f" >&2;}
    862    { (exit 1); exit 1; }; }
    863 	 # Do quote $f, to prevent DOS paths from being IFS'd.
    864 	 echo "$f";;
    865       *) # Relative
    866 	 if test -f "$f"; then
    867 	   # Build tree
    868 	   echo "$f"
    869 	 elif test -f "$srcdir/$f"; then
    870 	   # Source tree
    871 	   echo "$srcdir/$f"
    872 	 else
    873 	   # /dev/null tree
    874 	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
    875 echo "$as_me: error: cannot find input file: $f" >&2;}
    876    { (exit 1); exit 1; }; }
    877 	 fi;;
    878       esac
    879     done` || { (exit 1); exit 1; }
    880   # Remove the trailing spaces.
    881   sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in
    882 
    883   # Handle all the #define templates only if necessary.
    884   if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
    885   # If there are no defines, we may have an empty if/fi
    886   :
    887   cat >$tmp/defines.sed <<CEOF
    888 /^[	 ]*#[	 ]*define/!b
    889 t clr
    890 : clr
    891 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"Red Hat elfutils"${ac_dD}
    892 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"elfutils"${ac_dD}
    893 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"0.97"${ac_dD}
    894 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"Red Hat elfutils 0.97"${ac_dD}
    895 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"http://bugzilla.redhat.com/bugzilla/"${ac_dD}
    896 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"elfutils"${ac_dD}
    897 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.97"${ac_dD}
    898 ${ac_dA}ENABLE_NLS${ac_dB}ENABLE_NLS${ac_dC}1${ac_dD}
    899 ${ac_dA}HAVE_GETTEXT${ac_dB}HAVE_GETTEXT${ac_dC}1${ac_dD}
    900 ${ac_dA}HAVE_DCGETTEXT${ac_dB}HAVE_DCGETTEXT${ac_dC}1${ac_dD}
    901 ${ac_dA}YYTEXT_POINTER${ac_dB}YYTEXT_POINTER${ac_dC}1${ac_dD}
    902 ${ac_dA}LOCALEDIR${ac_dB}LOCALEDIR${ac_dC}"\${prefix}/share"${ac_dD}
    903 ${ac_dA}_FILE_OFFSET_BITS${ac_dB}_FILE_OFFSET_BITS${ac_dC}64${ac_dD}
    904 CEOF
    905   sed -f $tmp/defines.sed $tmp/in >$tmp/out
    906   rm -f $tmp/in
    907   mv $tmp/out $tmp/in
    908 
    909   fi # grep
    910 
    911   # Handle all the #undef templates
    912   cat >$tmp/undefs.sed <<CEOF
    913 /^[	 ]*#[	 ]*undef/!b
    914 t clr
    915 : clr
    916 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"Red Hat elfutils"${ac_uD}
    917 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"elfutils"${ac_uD}
    918 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"0.97"${ac_uD}
    919 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"Red Hat elfutils 0.97"${ac_uD}
    920 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"http://bugzilla.redhat.com/bugzilla/"${ac_uD}
    921 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"elfutils"${ac_uD}
    922 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.97"${ac_uD}
    923 ${ac_uA}ENABLE_NLS${ac_uB}ENABLE_NLS${ac_uC}1${ac_uD}
    924 ${ac_uA}HAVE_GETTEXT${ac_uB}HAVE_GETTEXT${ac_uC}1${ac_uD}
    925 ${ac_uA}HAVE_DCGETTEXT${ac_uB}HAVE_DCGETTEXT${ac_uC}1${ac_uD}
    926 ${ac_uA}YYTEXT_POINTER${ac_uB}YYTEXT_POINTER${ac_uC}1${ac_uD}
    927 ${ac_uA}LOCALEDIR${ac_uB}LOCALEDIR${ac_uC}"\${prefix}/share"${ac_uD}
    928 ${ac_uA}_FILE_OFFSET_BITS${ac_uB}_FILE_OFFSET_BITS${ac_uC}64${ac_uD}
    929 s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
    930 CEOF
    931   sed -f $tmp/undefs.sed $tmp/in >$tmp/out
    932   rm -f $tmp/in
    933   mv $tmp/out $tmp/in
    934 
    935   # Let's still pretend it is `configure' which instantiates (i.e., don't
    936   # use $as_me), people would be surprised to read:
    937   #    /* config.h.  Generated by config.status.  */
    938   if test x"$ac_file" = x-; then
    939     echo "/* Generated by configure.  */" >$tmp/config.h
    940   else
    941     echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
    942   fi
    943   cat $tmp/in >>$tmp/config.h
    944   rm -f $tmp/in
    945   if test x"$ac_file" != x-; then
    946     if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
    947       { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
    948 echo "$as_me: $ac_file is unchanged" >&6;}
    949     else
    950       ac_dir=`(dirname "$ac_file") 2>/dev/null ||
    951 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    952 	 X"$ac_file" : 'X\(//\)[^/]' \| \
    953 	 X"$ac_file" : 'X\(//\)$' \| \
    954 	 X"$ac_file" : 'X\(/\)' \| \
    955 	 .     : '\(.\)' 2>/dev/null ||
    956 echo X"$ac_file" |
    957     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    958   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    959   	  /^X\(\/\/\)$/{ s//\1/; q; }
    960   	  /^X\(\/\).*/{ s//\1/; q; }
    961   	  s/.*/./; q'`
    962       { if $as_mkdir_p; then
    963     mkdir -p "$ac_dir"
    964   else
    965     as_dir="$ac_dir"
    966     as_dirs=
    967     while test ! -d "$as_dir"; do
    968       as_dirs="$as_dir $as_dirs"
    969       as_dir=`(dirname "$as_dir") 2>/dev/null ||
    970 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
    971 	 X"$as_dir" : 'X\(//\)[^/]' \| \
    972 	 X"$as_dir" : 'X\(//\)$' \| \
    973 	 X"$as_dir" : 'X\(/\)' \| \
    974 	 .     : '\(.\)' 2>/dev/null ||
    975 echo X"$as_dir" |
    976     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
    977   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
    978   	  /^X\(\/\/\)$/{ s//\1/; q; }
    979   	  /^X\(\/\).*/{ s//\1/; q; }
    980   	  s/.*/./; q'`
    981     done
    982     test ! -n "$as_dirs" || mkdir $as_dirs
    983   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
    984 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
    985    { (exit 1); exit 1; }; }; }
    986 
    987       rm -f $ac_file
    988       mv $tmp/config.h $ac_file
    989     fi
    990   else
    991     cat $tmp/config.h
    992     rm -f $tmp/config.h
    993   fi
    994 # Compute $ac_file's index in $config_headers.
    995 _am_stamp_count=1
    996 for _am_header in $config_headers :; do
    997   case $_am_header in
    998     $ac_file | $ac_file:* )
    999       break ;;
   1000     * )
   1001       _am_stamp_count=`expr $_am_stamp_count + 1` ;;
   1002   esac
   1003 done
   1004 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
   1005 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   1006 	 X$ac_file : 'X\(//\)[^/]' \| \
   1007 	 X$ac_file : 'X\(//\)$' \| \
   1008 	 X$ac_file : 'X\(/\)' \| \
   1009 	 .     : '\(.\)' 2>/dev/null ||
   1010 echo X$ac_file |
   1011     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   1012   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   1013   	  /^X\(\/\/\)$/{ s//\1/; q; }
   1014   	  /^X\(\/\).*/{ s//\1/; q; }
   1015   	  s/.*/./; q'`/stamp-h$_am_stamp_count
   1016 done
   1017 
   1018 #
   1019 # CONFIG_COMMANDS section.
   1020 #
   1021 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
   1022   ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
   1023   ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
   1024   ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
   1025 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   1026 	 X"$ac_dest" : 'X\(//\)[^/]' \| \
   1027 	 X"$ac_dest" : 'X\(//\)$' \| \
   1028 	 X"$ac_dest" : 'X\(/\)' \| \
   1029 	 .     : '\(.\)' 2>/dev/null ||
   1030 echo X"$ac_dest" |
   1031     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   1032   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   1033   	  /^X\(\/\/\)$/{ s//\1/; q; }
   1034   	  /^X\(\/\).*/{ s//\1/; q; }
   1035   	  s/.*/./; q'`
   1036   { if $as_mkdir_p; then
   1037     mkdir -p "$ac_dir"
   1038   else
   1039     as_dir="$ac_dir"
   1040     as_dirs=
   1041     while test ! -d "$as_dir"; do
   1042       as_dirs="$as_dir $as_dirs"
   1043       as_dir=`(dirname "$as_dir") 2>/dev/null ||
   1044 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   1045 	 X"$as_dir" : 'X\(//\)[^/]' \| \
   1046 	 X"$as_dir" : 'X\(//\)$' \| \
   1047 	 X"$as_dir" : 'X\(/\)' \| \
   1048 	 .     : '\(.\)' 2>/dev/null ||
   1049 echo X"$as_dir" |
   1050     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   1051   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   1052   	  /^X\(\/\/\)$/{ s//\1/; q; }
   1053   	  /^X\(\/\).*/{ s//\1/; q; }
   1054   	  s/.*/./; q'`
   1055     done
   1056     test ! -n "$as_dirs" || mkdir $as_dirs
   1057   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
   1058 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   1059    { (exit 1); exit 1; }; }; }
   1060 
   1061   ac_builddir=.
   1062 
   1063 if test "$ac_dir" != .; then
   1064   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
   1065   # A "../" for each directory in $ac_dir_suffix.
   1066   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
   1067 else
   1068   ac_dir_suffix= ac_top_builddir=
   1069 fi
   1070 
   1071 case $srcdir in
   1072   .)  # No --srcdir option.  We are building in place.
   1073     ac_srcdir=.
   1074     if test -z "$ac_top_builddir"; then
   1075        ac_top_srcdir=.
   1076     else
   1077        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
   1078     fi ;;
   1079   [\\/]* | ?:[\\/]* )  # Absolute path.
   1080     ac_srcdir=$srcdir$ac_dir_suffix;
   1081     ac_top_srcdir=$srcdir ;;
   1082   *) # Relative path.
   1083     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
   1084     ac_top_srcdir=$ac_top_builddir$srcdir ;;
   1085 esac
   1086 
   1087 # Do not use `cd foo && pwd` to compute absolute paths, because
   1088 # the directories may not exist.
   1089 case `pwd` in
   1090 .) ac_abs_builddir="$ac_dir";;
   1091 *)
   1092   case "$ac_dir" in
   1093   .) ac_abs_builddir=`pwd`;;
   1094   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
   1095   *) ac_abs_builddir=`pwd`/"$ac_dir";;
   1096   esac;;
   1097 esac
   1098 case $ac_abs_builddir in
   1099 .) ac_abs_top_builddir=${ac_top_builddir}.;;
   1100 *)
   1101   case ${ac_top_builddir}. in
   1102   .) ac_abs_top_builddir=$ac_abs_builddir;;
   1103   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
   1104   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
   1105   esac;;
   1106 esac
   1107 case $ac_abs_builddir in
   1108 .) ac_abs_srcdir=$ac_srcdir;;
   1109 *)
   1110   case $ac_srcdir in
   1111   .) ac_abs_srcdir=$ac_abs_builddir;;
   1112   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
   1113   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
   1114   esac;;
   1115 esac
   1116 case $ac_abs_builddir in
   1117 .) ac_abs_top_srcdir=$ac_top_srcdir;;
   1118 *)
   1119   case $ac_top_srcdir in
   1120   .) ac_abs_top_srcdir=$ac_abs_builddir;;
   1121   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
   1122   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
   1123   esac;;
   1124 esac
   1125 
   1126 
   1127   { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
   1128 echo "$as_me: executing $ac_dest commands" >&6;}
   1129   case $ac_dest in
   1130     depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
   1131   # Strip MF so we end up with the name of the file.
   1132   mf=`echo "$mf" | sed -e 's/:.*$//'`
   1133   # Check whether this is an Automake generated Makefile or not.
   1134   # We used to match only the files named `Makefile.in', but
   1135   # some people rename them; so instead we look at the file content.
   1136   # Grep'ing the first line is not enough: some people post-process
   1137   # each Makefile.in and add a new line on top of each file to say so.
   1138   # So let's grep whole file.
   1139   if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
   1140     dirpart=`(dirname "$mf") 2>/dev/null ||
   1141 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   1142 	 X"$mf" : 'X\(//\)[^/]' \| \
   1143 	 X"$mf" : 'X\(//\)$' \| \
   1144 	 X"$mf" : 'X\(/\)' \| \
   1145 	 .     : '\(.\)' 2>/dev/null ||
   1146 echo X"$mf" |
   1147     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   1148   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   1149   	  /^X\(\/\/\)$/{ s//\1/; q; }
   1150   	  /^X\(\/\).*/{ s//\1/; q; }
   1151   	  s/.*/./; q'`
   1152   else
   1153     continue
   1154   fi
   1155   # Extract the definition of DEPDIR, am__include, and am__quote
   1156   # from the Makefile without running `make'.
   1157   DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
   1158   test -z "$DEPDIR" && continue
   1159   am__include=`sed -n 's/^am__include = //p' < "$mf"`
   1160   test -z "am__include" && continue
   1161   am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
   1162   # When using ansi2knr, U may be empty or an underscore; expand it
   1163   U=`sed -n 's/^U = //p' < "$mf"`
   1164   # Find all dependency output files, they are included files with
   1165   # $(DEPDIR) in their names.  We invoke sed twice because it is the
   1166   # simplest approach to changing $(DEPDIR) to its actual value in the
   1167   # expansion.
   1168   for file in `sed -n "
   1169     s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
   1170        sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
   1171     # Make sure the directory exists.
   1172     test -f "$dirpart/$file" && continue
   1173     fdir=`(dirname "$file") 2>/dev/null ||
   1174 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   1175 	 X"$file" : 'X\(//\)[^/]' \| \
   1176 	 X"$file" : 'X\(//\)$' \| \
   1177 	 X"$file" : 'X\(/\)' \| \
   1178 	 .     : '\(.\)' 2>/dev/null ||
   1179 echo X"$file" |
   1180     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   1181   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   1182   	  /^X\(\/\/\)$/{ s//\1/; q; }
   1183   	  /^X\(\/\).*/{ s//\1/; q; }
   1184   	  s/.*/./; q'`
   1185     { if $as_mkdir_p; then
   1186     mkdir -p $dirpart/$fdir
   1187   else
   1188     as_dir=$dirpart/$fdir
   1189     as_dirs=
   1190     while test ! -d "$as_dir"; do
   1191       as_dirs="$as_dir $as_dirs"
   1192       as_dir=`(dirname "$as_dir") 2>/dev/null ||
   1193 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
   1194 	 X"$as_dir" : 'X\(//\)[^/]' \| \
   1195 	 X"$as_dir" : 'X\(//\)$' \| \
   1196 	 X"$as_dir" : 'X\(/\)' \| \
   1197 	 .     : '\(.\)' 2>/dev/null ||
   1198 echo X"$as_dir" |
   1199     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
   1200   	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
   1201   	  /^X\(\/\/\)$/{ s//\1/; q; }
   1202   	  /^X\(\/\).*/{ s//\1/; q; }
   1203   	  s/.*/./; q'`
   1204     done
   1205     test ! -n "$as_dirs" || mkdir $as_dirs
   1206   fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
   1207 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
   1208    { (exit 1); exit 1; }; }; }
   1209 
   1210     # echo "creating $dirpart/$file"
   1211     echo '# dummy' > "$dirpart/$file"
   1212   done
   1213 done
   1214  ;;
   1215     default-1 )
   1216     for ac_file in $CONFIG_FILES; do
   1217       # Support "outfile[:infile[:infile...]]"
   1218       case "$ac_file" in
   1219         *:*) ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
   1220       esac
   1221       # PO directories have a Makefile.in generated from Makefile.in.in.
   1222       case "$ac_file" in */Makefile.in)
   1223         # Adjust a relative srcdir.
   1224         ac_dir=`echo "$ac_file"|sed 's%/[^/][^/]*$%%'`
   1225         ac_dir_suffix="/`echo "$ac_dir"|sed 's%^\./%%'`"
   1226         ac_dots=`echo "$ac_dir_suffix"|sed 's%/[^/]*%../%g'`
   1227         # In autoconf-2.13 it is called $ac_given_srcdir.
   1228         # In autoconf-2.50 it is called $srcdir.
   1229         test -n "$ac_given_srcdir" || ac_given_srcdir="$srcdir"
   1230         case "$ac_given_srcdir" in
   1231           .)  top_srcdir=`echo $ac_dots|sed 's%/$%%'` ;;
   1232           /*) top_srcdir="$ac_given_srcdir" ;;
   1233           *)  top_srcdir="$ac_dots$ac_given_srcdir" ;;
   1234         esac
   1235         if test -f "$ac_given_srcdir/$ac_dir/POTFILES.in"; then
   1236           rm -f "$ac_dir/POTFILES"
   1237           test -n "$as_me" && echo "$as_me: creating $ac_dir/POTFILES" || echo "creating $ac_dir/POTFILES"
   1238           cat "$ac_given_srcdir/$ac_dir/POTFILES.in" | sed -e "/^#/d" -e "/^[ 	]*\$/d" -e "s,.*,     $top_srcdir/& \\\\," | sed -e "\$s/\(.*\) \\\\/\1/" > "$ac_dir/POTFILES"
   1239           # ALL_LINGUAS, POFILES, GMOFILES, UPDATEPOFILES, DUMMYPOFILES depend
   1240           # on $ac_dir but don't depend on user-specified configuration
   1241           # parameters.
   1242           if test -f "$ac_given_srcdir/$ac_dir/LINGUAS"; then
   1243             # The LINGUAS file contains the set of available languages.
   1244             if test -n "$ALL_LINGUAS"; then
   1245               test -n "$as_me" && echo "$as_me: setting ALL_LINGUAS in configure.in is obsolete" || echo "setting ALL_LINGUAS in configure.in is obsolete"
   1246             fi
   1247             ALL_LINGUAS_=`sed -e "/^#/d" "$ac_given_srcdir/$ac_dir/LINGUAS"`
   1248             # Hide the ALL_LINGUAS assigment from automake.
   1249             eval 'ALL_LINGUAS''=$ALL_LINGUAS_'
   1250           fi
   1251           case "$ac_given_srcdir" in
   1252             .) srcdirpre= ;;
   1253             *) srcdirpre='$(srcdir)/' ;;
   1254           esac
   1255           POFILES=
   1256           GMOFILES=
   1257           UPDATEPOFILES=
   1258           DUMMYPOFILES=
   1259           for lang in $ALL_LINGUAS; do
   1260             POFILES="$POFILES $srcdirpre$lang.po"
   1261             GMOFILES="$GMOFILES $srcdirpre$lang.gmo"
   1262             UPDATEPOFILES="$UPDATEPOFILES $lang.po-update"
   1263             DUMMYPOFILES="$DUMMYPOFILES $lang.nop"
   1264           done
   1265           # CATALOGS depends on both $ac_dir and the user's LINGUAS
   1266           # environment variable.
   1267           INST_LINGUAS=
   1268           if test -n "$ALL_LINGUAS"; then
   1269             for presentlang in $ALL_LINGUAS; do
   1270               useit=no
   1271               if test "%UNSET%" != "$LINGUAS"; then
   1272                 desiredlanguages="$LINGUAS"
   1273               else
   1274                 desiredlanguages="$ALL_LINGUAS"
   1275               fi
   1276               for desiredlang in $desiredlanguages; do
   1277                 # Use the presentlang catalog if desiredlang is
   1278                 #   a. equal to presentlang, or
   1279                 #   b. a variant of presentlang (because in this case,
   1280                 #      presentlang can be used as a fallback for messages
   1281                 #      which are not translated in the desiredlang catalog).
   1282                 case "$desiredlang" in
   1283                   "$presentlang"*) useit=yes;;
   1284                 esac
   1285               done
   1286               if test $useit = yes; then
   1287                 INST_LINGUAS="$INST_LINGUAS $presentlang"
   1288               fi
   1289             done
   1290           fi
   1291           CATALOGS=
   1292           if test -n "$INST_LINGUAS"; then
   1293             for lang in $INST_LINGUAS; do
   1294               CATALOGS="$CATALOGS $lang.gmo"
   1295             done
   1296           fi
   1297           test -n "$as_me" && echo "$as_me: creating $ac_dir/Makefile" || echo "creating $ac_dir/Makefile"
   1298           sed -e "/^POTFILES =/r $ac_dir/POTFILES" -e "/^# Makevars/r $ac_given_srcdir/$ac_dir/Makevars" -e "s|@POFILES@|$POFILES|g" -e "s|@GMOFILES@|$GMOFILES|g" -e "s|@UPDATEPOFILES@|$UPDATEPOFILES|g" -e "s|@DUMMYPOFILES@|$DUMMYPOFILES|g" -e "s|@CATALOGS@|$CATALOGS|g" "$ac_dir/Makefile.in" > "$ac_dir/Makefile"
   1299           for f in "$ac_given_srcdir/$ac_dir"/Rules-*; do
   1300             if test -f "$f"; then
   1301               case "$f" in
   1302                 *.orig | *.bak | *~) ;;
   1303                 *) cat "$f" >> "$ac_dir/Makefile" ;;
   1304               esac
   1305             fi
   1306           done
   1307         fi
   1308         ;;
   1309       esac
   1310     done ;;
   1311   esac
   1312 done
   1313 
   1314 { (exit 0); exit 0; }
   1315